Package ru.bitel.bgbilling.plugins.bonus.common.bean

# Class BonusBalance

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean
ru.bitel.bgbilling.plugins.bonus.common.bean.BonusBalance

All Implemented Interfaces:
  `Serializable`, `Idable`

public class BonusBalance extends AbstractBonusBalanceBean

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `chargeType`
  `static final int`
  `paymentType`

  ### Fields inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `date, dateString, sum, typeId, typeTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BonusBalance()`
  `BonusBalance(int id, int type, BigDecimal sum, BigDecimal excess, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getDebitSum()`
  `BigDecimal`
  `getRest()`
  `void`
  `setDebitSum(BigDecimal debitSum)`
  `void`
  `setRest(BigDecimal excess)`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `getDate, getDateString, getSum, getTypeId, getTypeTitle, setDate, setDateString, setSum, setTypeId, setTypeTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### paymentType

    public static final int paymentType
    See Also:
      - Constant Field Values

  - ### chargeType

    public static final int chargeType
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BonusBalance

    public BonusBalance()

  - ### BonusBalance

    public BonusBalance(int id, int type, BigDecimal sum, BigDecimal excess, Date date)
    Parameters:
      `id` - - код прихода либо расхода
      `type` - - 1 - приход 2 - расход

- ## Method Details

  - ### getRest

    public BigDecimal getRest()

  - ### setRest

    public void setRest(BigDecimal excess)

  - ### getDebitSum

    public BigDecimal getDebitSum()

  - ### setDebitSum

    public void setDebitSum(BigDecimal debitSum)